org.apache.xmlbeans.impl.values

## Class XmlListImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlListImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, SimpleValue, XmlAnySimpleType, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    XmlEntitiesImpl, XmlIdRefsImpl, XmlNmTokensImpl

      public class XmlListImpl
      extends XmlObjectBase
      implements XmlAnySimpleType

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlListImpl(SchemaType type, boolean complex)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `compute_text(NamespaceManager nsm)` This should return the canonical string value of the primitive.
    `protected boolean` | `equal_to(XmlObject obj)`
    `List<?>` | `getListValue()` Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).
    `protected boolean` | `is_defaultable_ws(String v)` Types should return false if they don't treat the given whitespace as a default value.
    `static XmlSimpleList<? extends XmlAnySimpleType>` | `lex(String s, SchemaType itemType, ValidationContext ctx, PrefixResolver resolver)`
    `SchemaType` | `schemaType()`
    `void` | `set_list(List<?> list)`
    `protected void` | `set_nil()` This should clear the value, and set it to whatever is supposed to be returned when the value is nilled.
    `protected void` | `set_text(String s)` This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
    `static String[]` | `split_list(String s)`
    `protected void` | `validate_simpleval(String lexical, ValidationContext ctx)`
    `static void` | `validateValue(XmlSimpleList<? extends XmlAnySimpleType> items, SchemaType sType, ValidationContext context)`
    `protected int` | `value_hash_code()`
    `XmlSimpleList<? extends XmlAnySimpleType>` | `xgetListValue()` Returns the value as a `List` of XmlAnySimpleType objects.

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_long, set_newValue, set_notation, set_QName, set_short, set_String, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, update_from_complex_content, uses_invalidate_value, validate_now, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### XmlListImpl

          public XmlListImpl(SchemaType type,
                             boolean complex)

  - ### Method Detail

    - #### schemaType

          public SchemaType schemaType()

      Specified by:
        `schemaType` in interface `XmlObject`
      Specified by:
        `schemaType` in class `XmlObjectBase`
      Returns:
        The schema type for this instance. This is a permanent, unchanging property of the instance.

    - #### compute_text

          protected String compute_text(NamespaceManager nsm)

      Description copied from class: `XmlObjectBase`
      This should return the canonical string value of the primitive. Only called when non-nil.
      Specified by:
        `compute_text` in class `XmlObjectBase`

    - #### is_defaultable_ws

          protected boolean is_defaultable_ws(String v)

      Description copied from class: `XmlObjectBase`
      Types should return false if they don't treat the given whitespace as a default value.
      Overrides:
        `is_defaultable_ws` in class `XmlObjectBase`

    - #### set_text

          protected void set_text(String s)

      Description copied from class: `XmlObjectBase`
      This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
      Specified by:
        `set_text` in class `XmlObjectBase`

    - #### split_list

          public static String[] split_list(String s)

    - #### lex

          public static XmlSimpleList<? extends XmlAnySimpleType> lex(String s,
                                                                      SchemaType itemType,
                                                                      ValidationContext ctx,
                                                                      PrefixResolver resolver)

    - #### set_nil

          protected void set_nil()

      Description copied from class: `XmlObjectBase`
      This should clear the value, and set it to whatever is supposed to be returned when the value is nilled.
      Specified by:
        `set_nil` in class `XmlObjectBase`

    - #### xgetListValue

          public XmlSimpleList<? extends XmlAnySimpleType> xgetListValue()

      Description copied from interface: `SimpleValue`
      Returns the value as a `List` of XmlAnySimpleType objects.
      Specified by:
        `xgetListValue` in interface `SimpleValue`
      Overrides:
        `xgetListValue` in class `XmlObjectBase`

    - #### getListValue

          public List<?> getListValue()

      Description copied from interface: `SimpleValue`
      Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).
      Specified by:
        `getListValue` in interface `SimpleValue`
      Overrides:
        `getListValue` in class `XmlObjectBase`

    - #### set_list

          public void set_list(List<?> list)

      Overrides:
        `set_list` in class `XmlObjectBase`

    - #### validateValue

          public static void validateValue(XmlSimpleList<? extends XmlAnySimpleType> items,
                                           SchemaType sType,
                                           ValidationContext context)

    - #### equal_to

          protected boolean equal_to(XmlObject obj)

      Specified by:
        `equal_to` in class `XmlObjectBase`

    - #### value_hash_code

          protected int value_hash_code()

      Specified by:
        `value_hash_code` in class `XmlObjectBase`

    - #### validate_simpleval

          protected void validate_simpleval(String lexical,
                                            ValidationContext ctx)

      Overrides:
        `validate_simpleval` in class `XmlObjectBase`